TokenControllerResolveToken Method |
POST /Token/Resolve/{id}
Resolves the given token to a string representation of the resolved value.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Resolve")]
public IActionResult ResolveToken(
Guid id,
[FromBodyAttribute] ResolveTokenOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Resolve")>
Public Function ResolveToken (
id As Guid,
<FromBodyAttribute> options As ResolveTokenOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Resolve")]
IActionResult^ ResolveToken(
Guid id,
[FromBodyAttribute] ResolveTokenOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Resolve")>]
member ResolveToken :
id : Guid *
[<FromBodyAttribute>] options : ResolveTokenOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the token to resolve. - options
- Type: Dundas.BI.WebApi.ModelsResolveTokenOptions
The options to resolve the token with. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
String object containing the resolved parameter string representation, or a status code indicating the problem.
See Also